> For the complete documentation index, see [llms.txt](https://anilist.gitbook.io/anilist-apiv2-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/useroptions.md).

# UserOptions

A user's general options

| Field                           |                                                                                                                          Argument | Type                                                                                                       | Description |
| ------------------------------- | --------------------------------------------------------------------------------------------------------------------------------: | ---------------------------------------------------------------------------------------------------------- | ----------- |
| **titleLanguage**               |         [UserTitleLanguage](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/usertitlelanguage/README.md) | The language the user wants to see media titles in                                                         |             |
| **displayAdultContent**         |                           [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Whether the user has enabled viewing of 18+ content                                                        |             |
| **airingNotifications**         |                           [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Whether the user receives notifications when a show they are watching aires                                |             |
| **profileColor**                |                             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | Profile highlight color (blue, purple, pink, orange, red, green, gray)                                     |             |
| **notificationOptions**         |  \[[NotificationOption](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/notificationoption/README.md)] | Notification options                                                                                       |             |
| **timezone**                    |                             [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The user's timezone offset (Auth user only)                                                                |             |
| **activityMergeTime**           |                                   [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | Minutes between activity for them to be merged together. 0 is Never, Above 2 weeks (20160 mins) is Always. |             |
| **staffNameLanguage**           | [UserStaffNameLanguage](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/userstaffnamelanguage/README.md) | The language the user wants to see staff and character names in                                            |             |
| **restrictMessagesToFollowing** |                           [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Whether the user only allow messages from users they follow                                                |             |
| **disabledListActivity**        |  \[[ListActivityOption](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/listactivityoption/README.md)] | The list activity types the user has disabled from being created from list updates                         |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/useroptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
